:root{
    --body-bg: #ededed;
    --navbar-bg: #d3dce8;
    --nav-item-bg: #ededed;
    --nav-item-border-col: #bfd0e7;
    --blog-index-item-border-col: #bfd0e7;
    --footer-bg: #d3dce8;
    --index-menu-col: #d3dce8cc;
    --index-menu-col-solid: #d3dce8;
    --index-menu-border: #bfd0e7;
    --index-menu-hover: #5e7aa0;
    --navbar-border-bottom: #bfd0e7;
    --footer-border-top: #bfd0e7;
    --tooltip-bg-col: rgba(139, 173, 192, 0.548);
    --table-head-col: #d3dce8;
    --table-border-col: #bfd0e7;
    --table-even-row-col: #d2e4fd59;
  }
  .dark{
    --body-bg: #222830;
    --main-text-col: #bbbbbb;
    --a-text-col:#bbbbbb;
    --navbar-bg: #5e7aa0;
    --nav-item-bg: #333c49;
    --nav-item-border-col: #486b9c;
    --blog-index-item-border-col: #486b9c;
    --footer-bg: #5e7aa0;
    --index-menu-col: #5e79a0cc;
    --index-menu-col-solid: #5e79a0;
    --index-menu-border: #486b9c;
    --index-menu-hover: #d3dce8;
    --navbar-border-bottom: #486b9c;
    --footer-border-top: #486b9c;
    --tooltip-bg-col: rgba(160, 160, 160, 0.548);
    --table-head-col: #5e7aa0;
    --table-border-col: #486b9c;
    --table-even-row-col: #6fa8f821;
  }
  @font-face {
    font-family: "BerkeleyMono";
    src: url("../assets/fonts/BerkeleyMonoVariable-Regular.woff2") format("woff2");
  }
.body {
    background: var(--body-bg);
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-size: medium;
    margin: 0;
}
code {
    font-family: "BerkeleyMono" !important;
    white-space: normal !important;
    overflow: auto !important;
}
.code-block > pre[class*="language-"] {
    margin: 0;
    border-radius: 30px;
}
.code-block-aside {
    font-size: x-small;
    text-align: center;
}
button {
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-size: medium;
}
button:hover {
    cursor: pointer;
}
.main-content {
    color: var(--main-text-col);
}
.flex-container {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    justify-content: flex-start;
}
.navbar {
    background: var(--navbar-bg);
    border-bottom: solid var(--navbar-border-bottom);
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-items: center;
    place-items: center;
    align-items: center;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    margin-bottom: 2rem;
    row-gap: 5px;
    column-gap: 5px;
}
.nav-item {
    background: var(--nav-item-bg);
    border-radius: 0.5rem;
    border: solid var(--nav-item-border-col);
    margin: 0 0.5rem;
    padding: 10px;
}
.ul-styled > li > a {
    height: 21px;
    color: black;
}
.ul-styled > li > a:link {
    color: var(--a-text-col);
    text-decoration: none;
}
.ul-styled > li > a:visited {
    color: var(--a-text-col);
    text-decoration: none;
}
.index-list-style {
    list-style-type: none;
    padding-left: 0;
}
.index-list-style > li {
    padding-bottom: 1rem;
}
.main-content {
    display: grid;
    justify-content: space-between;
    margin-left: auto;
    margin-right: auto;
}
.blog-title {
    color: var(--main-text-col);
    padding: 0 1rem;
    margin-bottom: 3rem;
    text-align: center;
}
.img-main {
    border-radius: 9999px;
    width: 10rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2rem;
}
.blog-img {
    width: 100%;
    border-radius: 30px;
    margin-left: auto;
    margin-right: auto;
}
.burger-menu-sprint-text {
    font-weight: bold;
    border-bottom: 4px solid #1b1f24;
}
.p-text-main {
    margin-top: 2rem;
    text-align: center;
}
.p-text-blog {
    color: var(--main-text-col);
    margin-top: 2rem;
    padding: 0 2rem 2rem 2rem;
    text-align: left;
    max-width: 75ch;
    margin: 0 auto 3rem;
}
.p-text-blog > p {
    margin-bottom: 2rem;
}
.blog-index-item {
    display: block;
    background-color: var(--blog-index-item-bg);
    border-radius: 0.5rem;
    border: solid var(--blog-index-item-border-col);
    padding: 10px;
}
.ul-styled > li {
    margin-bottom: 1rem;
}
.footer {
    background: var(--footer-bg);
    border-top: solid var(--footer-border-top);
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    margin-top: auto;
}
.homegroup-text {
    text-align: center;
}
/* spotify */
.spotify-playlist {
    margin: 0 1rem;
}
.spotify-link {
    color: #1DB954;
    text-decoration: underline;
}
/* tooltip */
.tooltip {
    position: relative;
    display: inline-block;
}
.tooltip .tooltip-text {
    visibility: hidden;
    width: 60px;
    background-color: var(--tooltip-bg-col);
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    position: absolute;
    margin-top: 2.7rem;
    margin-left: 0.15rem;
    z-index: 1;
}
.tooltip:hover .tooltip-text {
    visibility: visible;
    transition-delay: 450ms;
}
/* table */
#twtw-table {
    border-collapse: collapse;
    width: 100%;
}
#twtw-table td, #twtw-table th{
    border: 3px solid var(--table-border-col);
    padding: 8px;
}
#twtw-table th {
    text-align: center;
    color: black;
    background-color: var(--table-head-col);
}
#twtw-table tr:nth-child(even){
    background-color: var(--table-even-row-col);
}

/* burger */
.burger-menu-blog-pages {
    position: absolute;
    margin-top: 1.5rem;
    margin-left: 0.5rem;
    visibility: hidden;
    grid-column: 2/3;
    grid-row: 1/2;
    & ul {
        padding-left: 1rem;
        padding-right: 1rem;
        list-style-type: none;
        > li {
            margin-bottom: 1rem;
        }
    }
    &.active {
        visibility: visible;
        border-radius: 0 0 1rem 1rem;
        background-image: linear-gradient(var(--index-menu-col-solid), var(--index-menu-col));
        border-right: solid var(--index-menu-border);
        border-bottom: solid var(--index-menu-border);
        border-left: solid var(--index-menu-border);
        > ul > li > a {
            color: black;
            text-decoration: none;
        }
        > ul > li > a:hover {
            color: var(--index-menu-hover);
        }
    }
}
/* media queries */
@media (min-width: 768px) {
    .tooltip .tooltip-text {
        margin-left: 1.6rem;
    }
    .burger-menu-blog-pages {
        margin-left: 2rem;
    }
    .navbar {
        grid-template-columns: repeat(4, auto);
    }
    .home-button {
        grid-column: 1/2;
    }
    .nav-blog-pages {
        grid-column: 2/3;
    }
    .nav-fun-pages {
        grid-column: 3/4;
    }
    .toggle-dark {
        grid-column: 4/5;
    }
    .nav-item {
        margin: 0 2rem;
    }
    code {
        font-family: "BerkeleyMono" !important;
        white-space: pre !important;
    }
}
@media (min-width: 1024px) {
    .navbar {
        grid-template-columns: repeat(4, auto);
    }
    .home-button {
        grid-column: 1/2;
    }
    .nav-blog-pages {
        grid-column: 2/3;
    }
    .nav-fun-pages {
        grid-column: 3/4;
    }
    .toggle-dark {
        grid-column: 4/5;
    }
    .spotify-playlist {
        margin: 0 4rem;
    }
}
@media (min-width: 1280px) {
    .spotify-playlist {
        margin: 0 10rem;
    }
}
